import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns
plt.rcParams['font.family'] = 'Microsoft YaHei'
plt.rcParams['axes.unicode_minus'] = False

df = pd.read_csv("Linhac24-25_Sportlogiq.csv")


print(df.info())
print(df.head())

event_counts = df['eventname'].value_counts()
print("事件类型统计:\n", event_counts)

team_possession_counts = df['teaminpossession'].value_counts()
print("控球队出现次数:\n", team_possession_counts)

df['xg_allattempts'] = pd.to_numeric(df['xg_allattempts'], errors='coerce')
xg_by_team = df.groupby('teamid')['xg_allattempts'].sum()
print("每支球队的总xG:\n", xg_by_team)

player_actions = df['playerid'].value_counts().head(10)
print("参与最多事件的前10位球员:\n", player_actions)

success_rate = df['outcome'].value_counts(normalize=True)
print("事件成功与失败比例:\n", success_rate)





print("\n简单总结：")
print(f"总事件数: {len(df)}")
print(f"总xG: {df['xg_allattempts'].sum():.2f}")
print(f"控球最多的球队: {team_possession_counts.idxmax()}")

